MyGUI: MyGUI::types::TRect< T > Struct Template Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields | Friends
MyGUI::types::TRect< T > Struct Template Reference

`#include <MyGUI_TRect.h>`

Inheritance diagram for MyGUI::types::TRect< T >:
[legend]

## Public Member Functions
| TRect ()
| TRect (T const &_left, T const &_top, T const &_right, T const &_bottom)
| TRect (TRect const &_obj)
TRect & | operator-= (TRect const &_obj)
TRect & | operator+= (TRect const &_obj)
TRect | operator- (TRect const &_obj) const
TRect | operator+ (TRect const &_obj) const
TRect & | operator= (TRect const &_obj)
template<typename U >
TRect & | operator= (TRect< U > const &_obj)
bool | operator== (TRect const &_obj) const
bool | operator!= (TRect const &_obj) const
T | width () const
T | height () const
void | clear ()
void | set (T const &_left, T const &_top, T const &_right, T const &_bottom)
void | swap (TRect &_value)
bool | empty () const
bool | inside (const TRect< T > &_value) const
bool | intersect (const TRect< T > &_value) const
bool | inside (const TPoint< T > &_value) const
std::string | print () const

## Static Public Member Functions
static TRect< T > | parse (const std::string &_value)

## Data Fields
T | left
T | top
T | right
T | bottom

## Friends
std::ostream & | operator<< (std::ostream &_stream, const TRect< T > &_value)
std::istream & | operator>> (std::istream &_stream, TRect< T > &_value)

## Detailed Description

template<typename T>
struct MyGUI::types::TRect< T >

Definition at line 18 of file MyGUI_TRect.h.

## Constructor & Destructor Documentation

## ◆ TRect() [1/3]

template<typename T >

MyGUI::types::TRect< T >::TRect | ( |  | ) |
| inline

Definition at line 25 of file MyGUI_TRect.h.

## ◆ TRect() [2/3]

template<typename T >

MyGUI::types::TRect< T >::TRect | ( | T const & | _left,
|  | T const & | _top,
|  | T const & | _right,
|  | T const & | _bottom )
| inline

Definition at line 33 of file MyGUI_TRect.h.

## ◆ TRect() [3/3]

template<typename T >

MyGUI::types::TRect< T >::TRect | ( | TRect< T > const & | _obj | ) |
| inline

Definition at line 41 of file MyGUI_TRect.h.

## Member Function Documentation

## ◆ clear()

template<typename T >

void MyGUI::types::TRect< T >::clear | ( |  | ) |
| inline

Definition at line 116 of file MyGUI_TRect.h.

## ◆ empty()

template<typename T >

bool MyGUI::types::TRect< T >::empty | ( |  | ) | const
| inline

Definition at line 136 of file MyGUI_TRect.h.

## ◆ height()

template<typename T >

T MyGUI::types::TRect< T >::height | ( |  | ) | const
| inline

Definition at line 111 of file MyGUI_TRect.h.

## ◆ inside() [1/2]

template<typename T >

bool MyGUI::types::TRect< T >::inside | ( | const TPoint< T > & | _value | ) | const
| inline

Definition at line 151 of file MyGUI_TRect.h.

## ◆ inside() [2/2]

template<typename T >

bool MyGUI::types::TRect< T >::inside | ( | const TRect< T > & | _value | ) | const
| inline

Definition at line 141 of file MyGUI_TRect.h.

## ◆ intersect()

template<typename T >

bool MyGUI::types::TRect< T >::intersect | ( | const TRect< T > & | _value | ) | const
| inline

Definition at line 146 of file MyGUI_TRect.h.

## ◆ operator!=()

template<typename T >

bool MyGUI::types::TRect< T >::operator!= | ( | TRect< T > const & | _obj | ) | const
| inline

Definition at line 101 of file MyGUI_TRect.h.

## ◆ operator+()

template<typename T >

TRect MyGUI::types::TRect< T >::operator+ | ( | TRect< T > const & | _obj | ) | const
| inline

Definition at line 72 of file MyGUI_TRect.h.

## ◆ operator+=()

template<typename T >

TRect & MyGUI::types::TRect< T >::operator+= | ( | TRect< T > const & | _obj | ) |
| inline

Definition at line 58 of file MyGUI_TRect.h.

## ◆ operator-()

template<typename T >

TRect MyGUI::types::TRect< T >::operator- | ( | TRect< T > const & | _obj | ) | const
| inline

Definition at line 67 of file MyGUI_TRect.h.

## ◆ operator-=()

template<typename T >

TRect & MyGUI::types::TRect< T >::operator-= | ( | TRect< T > const & | _obj | ) |
| inline

Definition at line 49 of file MyGUI_TRect.h.

## ◆ operator=() [1/2]

template<typename T >

TRect & MyGUI::types::TRect< T >::operator= | ( | TRect< T > const & | _obj | ) |
| inline

Definition at line 77 of file MyGUI_TRect.h.

## ◆ operator=() [2/2]

template<typename T >
template<typename U >

TRect & MyGUI::types::TRect< T >::operator= | ( | TRect< U > const & | _obj | ) |
| inline

Definition at line 87 of file MyGUI_TRect.h.

## ◆ operator==()

template<typename T >

bool MyGUI::types::TRect< T >::operator== | ( | TRect< T > const & | _obj | ) | const
| inline

Definition at line 96 of file MyGUI_TRect.h.

## ◆ parse()

template<typename T >

static TRect< T > MyGUI::types::TRect< T >::parse | ( | const std::string & | _value | ) |
| inlinestatic

Definition at line 163 of file MyGUI_TRect.h.

## ◆ print()

template<typename T >

std::string MyGUI::types::TRect< T >::print | ( |  | ) | const
| inline

Definition at line 156 of file MyGUI_TRect.h.

## ◆ set()

template<typename T >

void MyGUI::types::TRect< T >::set | ( | T const & | _left,
|  | T const & | _top,
|  | T const & | _right,
|  | T const & | _bottom )
| inline

Definition at line 121 of file MyGUI_TRect.h.

## ◆ swap()

template<typename T >

void MyGUI::types::TRect< T >::swap | ( | TRect< T > & | _value | ) |
| inline

Definition at line 129 of file MyGUI_TRect.h.

## ◆ width()

template<typename T >

T MyGUI::types::TRect< T >::width | ( |  | ) | const
| inline

Definition at line 106 of file MyGUI_TRect.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

template<typename T >

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const TRect< T > & | _value )
| friend

Definition at line 185 of file MyGUI_TRect.h.

## ◆ operator>>

template<typename T >

std::istream & operator>> | ( | std::istream & | _stream,
|  | TRect< T > & | _value )
| friend

Definition at line 191 of file MyGUI_TRect.h.

## Field Documentation

## ◆ bottom

template<typename T >

T MyGUI::types::TRect< T >::bottom

Definition at line 23 of file MyGUI_TRect.h.

## ◆ left

template<typename T >

T MyGUI::types::TRect< T >::left

Definition at line 20 of file MyGUI_TRect.h.

## ◆ right

template<typename T >

T MyGUI::types::TRect< T >::right

Definition at line 22 of file MyGUI_TRect.h.

## ◆ top

template<typename T >

T MyGUI::types::TRect< T >::top

Definition at line 21 of file MyGUI_TRect.h.

The documentation for this struct was generated from the following file:

- MyGUI_TRect.h